For the complete documentation index, see llms.txt. This page is also available as Markdown.

Apps

List Apps

get

List all apps in the account, with associated metadata.

Authorizations
Query parameters
pageintegerOptional

The page number of results

Example: 1
limitintegerOptional

The number of results to return per page

Example: 10
searchstringOptional

The search term to filter by, example "My App".

Example: My App
platformstring · enumOptional

The platform to filter by

Example: iosPossible values:
appIdstringOptional

The unique identifier for an app to filter by. On Android this is the package name, on iOS this is the bundle identifier.

Example: org.acme.acmeapp
versionNamestringOptional

The version name to filter by, example "1.0.0". This is the CFBundleShortVersionString on iOS and versionName on Android.

Example: 1.0.0
buildNumberinteger · int32Optional

The build number to filter by, example "1", this is the versionCode on Android and CFBundleVersion on iOS.

Example: 1
notestringOptional

The notes to filter by, example "This is a note".

Example: This is a note
tagsstringOptional

The tags to filter by, example "tag1,tag2".

Example: tag1,tag2
disabledbooleanOptional

The disabled status to filter by, example "true".

Example: true
Responses
200

OK

application/json
totalinteger · int32OptionalExample: 25
nextPagenumber · int32 · nullableOptionalExample: 2
get/v2/apps

Get app icon by its unique identifier and platform

get

Get app icon by its unique identifier and platform

Authorizations
Path parameters
appIdstringRequired

Unique identifier for the app.

Example: com.sample.appId
platformstring · enumRequired

The platform of the app. Either ios or android

Example: androidPossible values:
Responses
307

Redirect to the icon image file

get/v2/apps/{platform}/{appId}/icon
307

Redirect to the icon image file

No content

Get App

get

Get an app by its unique identifier.

Authorizations
Path parameters
appIdstringRequired

The unique identifier for the app. On Android this is the package name, on iOS this is the bundle identifier.

Example: org.acme.acmeapp
platformstring · enumRequired

The platform to filter by

Example: androidPossible values:
Responses
200

OK

application/json
appIdstringRequired

The unique identifier for the app. On Android this is the package name, on iOS this is the bundle identifier.

Example: com.sample.appId
namestringOptional

The latest app name, as specified by the latest version.

Example: My App
iconUrlstring · uriOptional

The latest app icon, as specified by the latest version.

Example: https://appetize.io/images/icon.png
platformstring · enumRequiredExample: iosPossible values:
createdstring · date-timeRequired

The date the app was created.

Example: 2024-01-16T23:51:35.269Z
createdBystringRequired

The user who created the app.

Example: user@appetize.io
updatedstring · date-timeRequired

The date the app was last updated.

Example: 2024-01-16T23:51:35.269Z
updatedBystringRequired

The user who last updated the app.

Example: user@appetize.io
lastPlayedstring · date-timeOptional

The time the app was last played.

Example: 2020-01-01T00:00:00.000Z
get/v2/apps/{platform}/{appId}

Delete App

delete

Delete an app by its app identifier. This removes all associated builds.

Authorizations
Path parameters
appIdstringRequired

The unique identifier for the app. On Android this is the package name, on iOS this is the bundle identifier.

Example: org.acme.acmeapp
platformstring · enumRequired

The platform to filter by

Example: androidPossible values:
Responses
204

App deleted

No content

delete/v2/apps/{platform}/{appId}

No content

List All Versions for a given App

get

List all version names of a given app. The default paging limit is 1000 items per page.

Authorizations
Path parameters
platformstring · enumRequired

The platform to filter by

Example: androidPossible values:
appIdstringRequired

The unique identifier for the app. On Android this is the package name, on iOS this is the bundle identifier.

Example: org.acme.acmeapp
Query parameters
pageintegerOptional

The page number of results

Example: 1
limitintegerOptional

The number of items to return per page

Example: 100
Responses
200

OK

application/json
totalinteger · int32OptionalExample: 25
nextPagenumber · int32 · nullableOptionalExample: 2
versionsstring[]RequiredExample: 1.0.0
get/v2/apps/{platform}/{appId}/versions

List All Tags for a given App

get

List all tags of a given app. The default paging limit is 1000 items per page.

Authorizations
Path parameters
platformstring · enumRequired

The platform to filter by

Example: androidPossible values:
appIdstringRequired

The unique identifier for the app. On Android this is the package name, on iOS this is the bundle identifier.

Example: org.acme.acmeapp
Query parameters
pageintegerOptional

The page number of results

Example: 1
limitintegerOptional

The number of items to return per page

Example: 100
Responses
200

OK

application/json
totalinteger · int32OptionalExample: 25
nextPagenumber · int32 · nullableOptionalExample: 2
tagsstring[]OptionalExample: tag1
get/v2/apps/{platform}/{appId}/tags

Last updated